JSON-RPCMethods
eth_gasPrice: parameters, returns and CU
Return the node's suggested current gas price in wei.
Summary
Return the node's suggested current gas price in wei.
Compute units (CU) and pricing
CU per call
10 CU
Price per 1M calls (USD)
$1.00
Parameters
This method takes no parameters.
Returns
- Type:
QUANTITY - Description: Suggested gas price as a 0x-prefixed hexadecimal quantity in wei.
Notes
It is an estimate of the current market fee and may not map exactly to the EIP-1559 base fee plus priority fee.
Request example
export BLOCKVECTRA_API_KEY=rgw_your_api_key
curl -X POST "https://api.blockvectra.com/v1/robinhood_mainnet" \
-H 'Content-Type: application/json' \
-H "x-api-key: $BLOCKVECTRA_API_KEY" \
-d '{
"jsonrpc": "2.0",
"method": "eth_gasPrice",
"params": [],
"id": 1
}'Supported chains
Available on all 29 supported chains.
Related references
Last updated: